summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2012-04-22 22:00:21 +0000
committerMike Frysinger <vapier@gentoo.org>2012-04-22 22:00:21 +0000
commita03c1c6d1f506af509c88a96608bce0d79b6d902 (patch)
treefd64554eaea26b73cc4a9f78c3cf946deb2a5a8f /src/patchsets/uclibc
parentUpdate of outdated-cpan-packages-perl-experimental.xml (diff)
downloadgentoo-a03c1c6d1f506af509c88a96608bce0d79b6d902.tar.gz
gentoo-a03c1c6d1f506af509c88a96608bce0d79b6d902.tar.bz2
gentoo-a03c1c6d1f506af509c88a96608bce0d79b6d902.zip
make math subdir optional
Diffstat (limited to 'src/patchsets/uclibc')
-rw-r--r--src/patchsets/uclibc/make-tarball.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/src/patchsets/uclibc/make-tarball.sh b/src/patchsets/uclibc/make-tarball.sh
index c36782bcfe..b049efe5ee 100644
--- a/src/patchsets/uclibc/make-tarball.sh
+++ b/src/patchsets/uclibc/make-tarball.sh
@@ -15,12 +15,16 @@ fi
rm -rf tmp
rm -f uClibc-${uver}-*.tar.bz2
-mkdir -p tmp/patch/math
+mkdir -p tmp/patch
cp -r ../README* ${uver}/*.patch tmp/patch/ || exit 1
-cp -r ${uver}/math/*.patch tmp/patch/math/ || exit 1
-if [[ -d ${uver}/math/libm ]] ; then
- mkdir tmp/patch/math/libm
- cp -r ${uver}/math/libm/*.c tmp/patch/math/libm/ || exit 1
+
+if [[ -d ${uver}/math ]] ; then
+ mkdir tmp/patch/math
+ cp -r ${uver}/math/*.patch tmp/patch/math/ || exit 1
+ if [[ -d ${uver}/math/libm ]] ; then
+ mkdir tmp/patch/math/libm
+ cp -r ${uver}/math/libm/*.c tmp/patch/math/libm/ || exit 1
+ fi
fi
#find tmp -type f -a ! -name 'README*' | xargs bzip2